Name:           perl-CGI-FastTemplate
Version:        1.09
Release:        5%{?dist}
Summary:        Perl extension for managing templates and performing variable interpolation

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/CGI-FastTemplate/
Source0:        http://search.cpan.org/CPAN/authors/id/J/JM/JMOORE/CGI-FastTemplate-1.09.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
CGI::FastTemplate manages templates and parses templates replacing
variable names with values.  It was designed for mid to large scale web
applications (CGI, mod_perl) where there are great benefits to separating
the logic of an application from the specific implementation details.

%prep
%setup -q -n CGI-FastTemplate-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.09-4
- rebuild for new perl

* Fri Jun 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.09-3
- Fix grammar in summary.

* Fri Jun 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.09-2
- Remove perl and perl-devel BR, BR perl(ExtUtils::MakeMaker)
- Fix license.

* Fri Jun  1 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.09-1
- First version for Fedora

